﻿$version = '1.8.1'

$url          = "https://github.com/headsetapp/headset-electron/releases/download/v$version/headset-$version-setup.exe"
$autoStartKey = 'HKLM:\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Run\'
$startKey     = 'HKLM:\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\StartupApproved\Run32'

$packageArgs = @{
  packageName    = 'headset'
  softwareName   = 'Headset'
  fileType       = 'exe'
  url            = $url
  checksum       = 'b1c03606e45c48463a899c7ca26ae7f03ff79f0e3fbe642b2bb43488e3657a6d'
  checksumType   = 'sha256'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs

Remove-ItemProperty $autoStartKey -Name 'headset' -ErrorAction 'SilentlyContinue'
Remove-ItemProperty $startKey -Name 'headset' -ErrorAction 'SilentlyContinue'

If (Test-Path "C:\ProgramData\SquirrelMachineInstalls\headset.exe") {
  Remove-Item "C:\ProgramData\SquirrelMachineInstalls\headset.exe" -Force -ErrorAction 'SilentlyContinue'
}
